<?php

namespace Drupal\workflow_notifications\Controller;

use Drupal\Core\Config\Entity\ConfigEntityListBuilder;
use Drupal\Core\Entity\EntityInterface;

class WorkflowNotificationsListBuilder extends ConfigEntityListBuilder {
  
  public function buildHeader() {
    $header['label'] = $this->t('Example');
    $header['from_state'] = $this->t('From State');
    $header['to_state'] = $this->t('To State');
    $header['when_to_trigger'] = $this->t('When To Trigger');
    return $header + parent::buildHeader();
  }

  public function buildRow(EntityInterface $entity) {
    if(\Drupal::request()->get('workflow_type') == $entity->workflow_type) {
      $row['label'] = $this->getLabel($entity);
      $row['from_state'] = $entity->from_state;
      $row['to_state'] = $entity->to_state;
      $row['when_to_trigger'] = $entity->when_to_trigger;
      return $row + parent::buildRow($entity);
    }
  }
  
}