<?php

namespace Drupal\workflow_notifications\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBase;
use Drupal\workflow_notifications\WorkflowNotificationsInterface;

/**
 *  Defines workflow notify entity
 * @ConfigEntityType(
 *  id = "workflow_notify",
 *  label = @Translation("Workflow Notify"),
 *  handlers = {
 *      "access" = "Drupal\workflow_notifications\WorkflowNotificationControlHandler",
 *      "list_builder" = "Drupal\workflow_notifications\Controller\WorkflowNotificationsListBuilder",
 *      "form" = {
 *          "add" = "Drupal\workflow_notifications\Form\WorkflowNotificationForm",
 *          "edit" = "Drupal\workflow_notifications\Form\WorkflowNotificationForm",
 *          "delete" = "Drupal\workflow_notifications\Form\WorkflowNotificationDeleteForm",
 *      },
 *  },
 *  config_prefix = "workflow_notify",
 *  entity_keys = {
 *      "id" = "id",
 *      "label" = "label",
 *      "workflow_type" = "workflow_type",
 *      "from_state" = "from_state",
 *      "to_state" = "to_state",
 *      "when_to_trigger" = "when_to_trigger",
 *      "time" = "time",
 *      "mail_to" = "mail_to",
 *  },
 *  config_export = {
 *      "id",
 *      "label",
 *      "workflow_type",
 *      "from_state",
 *      "to_state",
 *      "when_to_trigger",
 *      "days",
 *      "roles",
 *      "mail_ids",
 *      "subject",
 *      "message",
 *  },
 *  links = {
 *      "edit-form" = "/mail/{workflow_notify}/edit",
 *      "delete-form" = "/mail/{workflow_notify}/delete",
 *      "collection" = "/admin/config/workflow/workflow/{workflow_type}/mail",
 *  },
 *)
 **/


class WorkflowNotifications extends ConfigEntityBase implements WorkflowNotificationsInterface {
    public $label;
    public $id;
    public $from_state;
    public $to_state;
    public $when_to_trigger;
    public $days;
    public $roles;
    public $mail_ids;
    public $subject;
    public $message;
}
