<?php

namespace Drupal\workflow_notifications\Form;

use Drupal\Core\Entity\EntityConfirmFormBase;
use Drupal\Core\Url;
use Drupal\Core\Form\FormStateInterface;

class WorkflowNotificationDeleteForm extends EntityConfirmFormBase {
  public function getQuestion() {
    return $this->t('Are you sure you want to delete %name?', array('%name' => $this->entity->label()));
  }
  
  public function getCancelUrl() {
    return Url::fromRoute('entity.workflow_notify.collection', array('workflow_type' => $this->entity->workflow_type));
    return new Url('entity.workflow_notify.collection');
  }

  public function getConfirmText() {
    return $this->t('Delete');
  }

  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->entity->delete();
    drupal_set_message($this->t('Notification %label has been deleted.', array('%label' => $this->entity->label())));
    $form_state->setRedirectUrl($this->getCancelUrl());
  }
}