<?php

/**
 * @file \Drupal\workflow_notifications\Plugin\QueueWorker\ScheduleMailQueue.
 **/

 namespace Drupal\workflow_notifications\Plugin\QueueWorker;
 
 use Drupal\Core\Queue\QueueWorkerBase;
 
 /**
  * process mail to the scheduled entities.
  *
  *@QueueWorker(
  *     id = "workflow_scheduled_entity_mail",
  *     title = @Translation("Workflow mail trigger for scheduled entities."),
  *     cron = {"time" = 60}
  *)
  **/

  class ScheduleMailQueue extends QueueWorkerBase {
      /**
       * {@inheritdoc}
       **/
       public function processItem($entity) {
           \Drupal::logger('workflow-mail-log')->error("There was dfsdfsda problem sending your message and it was not sent.");
             $day = $entity->days? $entity->days: 0;
             if(!empty($day)) {
                 $starttime = strtotime("+" . $day . " days 12:00:00 am");
                 $endtime = strtotime("+" . $day . " days 11:59:59 pm");
                 send_mail_to_all($starttime, $endtime, $entity);
             }
       }
  }